| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# Incident Class Reference

`#include <GaudiKernel/Incident.h>`

Inheritance diagram for Incident:

[legend]
Collaboration diagram for Incident:

[legend]

List of all members.

## Detailed Description

Base class for all Incidents (computing events).

Author:
  P. Mato

Date:
  2001/01/19

Definition at line 15 of file Incident.h.

## Public Member Functions
| Incident (const std::string &source, const std::string &type)
| Default Constructor.
virtual | ~Incident ()
| Destructor.
const std::string & | type () const
| Access to the incident type.
const std::string & | source () const
| Access to the source of the incident.
## Private Attributes
std::string | m_source
| Incident source.
std::string | m_type
| incident type

## Constructor & Destructor Documentation

Incident::Incident | ( | const std::string & | source,
|  | const std::string & | type |
| ) |  |  | `[inline]`

Default Constructor.

Parameters:

  source | Incident source (service or algorithm name)
  type | Incident type

Definition at line 20 of file Incident.h.

    00023     : m_source ( source ),
    00024       m_type   ( type   ) { }

virtual Incident::~Incident | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 27 of file Incident.h.

    00027 { }

## Member Function Documentation

const std::string& Incident::type | ( |  | ) | const`[inline]`

Access to the incident type.

Returns:
  string descriptor for the incident type

Definition at line 33 of file Incident.h.

    00033 { return m_type; }

const std::string& Incident::source | ( |  | ) | const`[inline]`

Access to the source of the incident.

Returns:
  service or algorithm name that initiated the incident

Definition at line 39 of file Incident.h.

    00039 { return m_source; }

## Member Data Documentation

std::string Incident::m_source`[private]`

Incident source.

Definition at line 43 of file Incident.h.

std::string Incident::m_type`[private]`

incident type

Definition at line 44 of file Incident.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiKernel/GaudiKernel/Incident.h